
#ifndef ROOT_PosixThreadInc
#define ROOT_PosixThreadInc

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// PosixThreadInc                                                       //
//                                                                      //
// Common includes for the Posix thread implementation.                 //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef __CINT__

#ifndef ROOT_TError
//*KEEP,TError.
#include "TError.h"
//*KEND.
#endif
#ifndef ROOT_TSystem
//*KEEP,TSystem.
#include "TSystem.h"
//*KEND.
#endif

#include <stdlib.h>
#include <time.h>

#ifdef LINUX
#include <pthread/mit/sys/timers.h>
#endif

#ifdef HPUX
#define PthreadDraftVersion 4
#endif


//#if (PthreadDraftVersion <= 6)
#if (PthreadDraftVersion == 4)
#define ERRNO(x) (((x) != 0) ? (TSystem::GetErrno()) : 0)
#else
#define ERRNO(x) (x)
#endif

#endif /* __CINT__ */

#endif
